#include <iostream>

using namespace std;

const int DB=5;
const int MaxN=500;
typedef int IntArray[DB];
typedef int IntMatrix[MaxN][DB];

int main()
{
    cout << "Otoslotto - hanyan szereztek nyeremenyt" << endl;

    /// deklaracio
    int N;
    IntArray kh;
    IntMatrix sz;

    int db;

    /// beolvasas
    cout << "N=? :";
    cin >> N;
    for (int j=0;j<DB;j++) {
        cout << j+1 << ". kihuzott szam=? :";
        cin >> kh[j];
    }
    for (int i=0;i<N;i++) {
        for (int j=0;j<DB;j++) {
            cout << i+1 << ". szelveny " << j+1 << ". szama=? :";
            cin >> sz[i][j];
        }
    }

    /// algoritmus implementalasa
    /// szelvenyek ellenorzese - megszamolas
    db=0;
    for (int i=0;i<N;i++) {
        /// i-edik szelveny szamainak ellenorzese - megszamolas
        int talalatok=0;
        for (int j=0;j<DB;j++) {
            ///i-edik szelveny j-edik szamat kihuztak-e - eldontes
            int k=0;
            while ((k<DB) && (sz[i][j]!=kh[k])) {
                k++;
            }
            if (k<DB) {
                talalatok++;
            }
        }
        if (talalatok>=2) {
            db++;
        }
    }


    /// kiiras
    cout << "";
    cout << db << endl;


    return 0;
}
